Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008716 [DCSS] Bug Report minor always 2014-06-20 21:27 2015-01-30 18:21
Reporter MarvinPA View Status public  
Assigned To Reaver
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008716: Wyrmbane doesn't upgrade when killing dragons with its bonus damage
Description 46ce0616d5 prevents Wyrmbane from levelling up correctly: if a monster is not killed by the weapon's base damage, mondied will be false, and so _WYRMBANE_melee_effects() will return early even if the extra dragon slaying damage then kills the target.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026570)
PleasingFungus (administrator)
2014-06-20 21:30

I tested last night changing "if (!mondied || !defender..." to "if (!defender || defender->alive()..", but this seemed to have no effect; not sure what's going on there.
(0026574)
Reaver (developer)
2014-06-21 17:04

Fixed by ed8ba04e1629

- Issue History
Date Modified Username Field Change
2014-06-20 21:27 MarvinPA New Issue
2014-06-20 21:30 PleasingFungus Note Added: 0026570
2014-06-21 17:04 Reaver Note Added: 0026574
2014-06-21 17:04 Reaver Status new => resolved
2014-06-21 17:04 Reaver Fixed in Branch => 0.15 development branch
2014-06-21 17:04 Reaver Resolution open => done
2014-06-21 17:04 Reaver Assigned To => Reaver
2015-01-30 18:21 MarvinPA Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker